Stream a Gateway container archive
GET
/api/docker/nodes/{nodeId}/containers/{containerId}/archive
const url = 'https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/containers/550e8400-e29b-41d4-a716-446655440000/archive?imageMode=portable&includeWritableLayer=false&includeEnvironment=true&includeSecrets=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/containers/550e8400-e29b-41d4-a716-446655440000/archive?imageMode=portable&includeWritableLayer=false&includeEnvironment=true&includeSecrets=false' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nodeId
required
string
Example
550e8400-e29b-41d4-a716-446655440000containerId
required
string
Example
550e8400-e29b-41d4-a716-446655440000Query Parameters
Section titled “Query Parameters”imageMode
string
includeWritableLayer
boolean
includeEnvironment
boolean
includeSecrets
boolean
Responses
Section titled “Responses”GWCA v1 stream. Volume contents are never included.
Media typeapplication/vnd.wiolett.gwca
string format: binary
Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}